ConvertersConfigurationHolder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ConvertersConfigurationHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ConvertersConfigurationHolder

    @java.lang.SuppressWarnings({"unchecked","rawtypes"})
    public class ConvertersConfigurationHolder
    extends java.lang.Object

Singleton which holds all default and named configurations for the Converter classes.

Authors:
  Siegfried Puchbauer

Since:
  1.1

Field Summary
`static java.lang.String` | `CONVERTERS_DEFAULT_ENCODING`

Method Summary
`static void` | `clear()`
`static ConverterConfiguration` | `getConverterConfiguration(java.lang.Class converterClass)`
`static ConverterConfiguration` | `getNamedConverterConfiguration(java.lang.String name, java.lang.Class converterClass)`
`static ConverterConfiguration` | `getThreadLocalConverterConfiguration(java.lang.Class converterClass)`
`static void` | `setDefaultConfiguration(java.lang.Class c, ConverterConfiguration cfg)`
`static void` | `setDefaultConfiguration(java.lang.Class c, java.util.List om)`
`static void` | `setNamedConverterConfiguration(java.lang.Class converterClass, java.lang.String name, ConverterConfiguration cfg)`
`static void` | `setNamedConverterConfiguration(java.lang.Class converterClass, java.lang.String name, java.util.List om)`
`static void` | `setTheadLocalConverterConfiguration(java.lang.Class converterClass, ConverterConfiguration cfg)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONVERTERS_DEFAULT_ENCODING

    public static final java.lang.String CONVERTERS_DEFAULT_ENCODING

Method Detail

### clear

    public static void clear()

### getConverterConfiguration

    public static ConverterConfiguration getConverterConfiguration(java.lang.Class converterClass)

### getNamedConverterConfiguration

    public static ConverterConfiguration getNamedConverterConfiguration(java.lang.String name, java.lang.Class converterClass)

### getThreadLocalConverterConfiguration

    public static ConverterConfiguration getThreadLocalConverterConfiguration(java.lang.Class converterClass)

### setDefaultConfiguration

    public static void setDefaultConfiguration(java.lang.Class c, ConverterConfiguration cfg)

### setDefaultConfiguration

    public static void setDefaultConfiguration(java.lang.Class c, java.util.List om)

### setNamedConverterConfiguration

    public static void setNamedConverterConfiguration(java.lang.Class converterClass, java.lang.String name, ConverterConfiguration cfg)

### setNamedConverterConfiguration

    public static void setNamedConverterConfiguration(java.lang.Class converterClass, java.lang.String name, java.util.List om)

### setTheadLocalConverterConfiguration

    public static void setTheadLocalConverterConfiguration(java.lang.Class converterClass, ConverterConfiguration cfg)

Groovy Documentation